| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::FileSaveOptionsBox Class Reference
Inheritance diagram for Digikam::FileSaveOptionsBox:

## Public Types
enum | FORMAT { NONE = 0 , JPEG , PNG , TIFF , JP2K , PGF , HEIF , JXL , WEBP , AVIF }

## Public Member Functions
| FileSaveOptionsBox (QWidget *const parent=nullptr)
| Constructor.
| ~FileSaveOptionsBox () override
| Destructor.
void | applySettings ()
FORMAT | discoverFormat (const QString &filename, FORMAT fallback=NONE)
| Tries to discover a file format that has options to change based on a filename.
void | setImageFileFormat (const QString &)

## Member Enumeration Documentation

## ◆ FORMAT

enum Digikam::FileSaveOptionsBox::FORMAT

Enumerator
NONE | Warning Order is important here. See filesaveoptionbox.cpp which use these values to fill a stack of widgets.

## Constructor & Destructor Documentation

## ◆ FileSaveOptionsBox()

Digikam::FileSaveOptionsBox::FileSaveOptionsBox | ( | QWidget *const | parent = `nullptr` | ) |
| explicit

Don't forget to call setDialog after creation of the dialog.

Parameters

  parent | the parent for Qt's parent child mechanism

## Member Function Documentation

## ◆ discoverFormat()

FileSaveOptionsBox::FORMAT Digikam::FileSaveOptionsBox::discoverFormat | ( | const QString & | filename,
|  | FileSaveOptionsBox::FORMAT | fallback = `NONE`
| ) |  |

Parameters

  filename | file name to discover the desired format from
  fallback | the fallback format to return if no format could be discovered based on the filename

Returns
  file format guessed from the file name or the given fallback format if no format could be guessed based on the file name